PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_Desc_Create | ( | PLASMA_desc ** | desc,
|  | void * | mat,
|  | PLASMA_enum | dtyp,
|  | int | mb,
|  | int | nb,
|  | int | bsiz,
|  | int | lm,
|  | int | ln,
|  | int | i,
|  | int | j,
|  | int | m,
|  | int | n
| ) |  |

PLASMA_Desc_Create - Create matrix descriptor.

Parameters

  [out] | desc | On exit, descriptor of the matrix.
  [in] | mat | Memory location of the matrix.
  [in] | dtyp | Data type of the matrix: PlasmaRealFloat: single precision real (S), PlasmaRealDouble: double precision real (D), PlasmaComplexFloat: single precision complex (C), PlasmaComplexDouble: double precision complex (Z).
  [in] | mb | Number of rows in a tile.
  [in] | nb | Number of columns in a tile.
  [in] | bsiz | Size in elements (mb*nb).
  [in] | lm | Number of rows of the entire matrix.
  [in] | ln | Number of columns of the entire matrix.
  [in] | i | Row index to the beginning of the submatrix.
  [in] | j | Column index to the beginning of the submatrix.
  [in] | m | Number of rows of the submatrix.
  [in] | n | Number of columns of the submatrix.

Returns

Return values

  PLASMA_SUCCESS | successful exit